Show / Hide Table of Contents

# AsyncMouseDownTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncMouseDownTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncMouseDownTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnMouseDownAsyncHandler() |
GetOnMouseDownAsyncHandler(CancellationToken) |
OnMouseDownAsync() |
OnMouseDownAsync(CancellationToken) |

### Methods

#### GetOnMouseDownAsyncHandler()

    public IAsyncOnMouseDownHandler GetOnMouseDownAsyncHandler()

##### Returns

IAsyncOnMouseDownHandler

#### GetOnMouseDownAsyncHandler(CancellationToken)

    public IAsyncOnMouseDownHandler GetOnMouseDownAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnMouseDownHandler

#### OnMouseDownAsync()

    public UniTask OnMouseDownAsync()

##### Returns

UniTask

#### OnMouseDownAsync(CancellationToken)

    public UniTask OnMouseDownAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>